=== debian/changelog ===
xmds2 (3.0.0+dfsg-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/rules:
    + Do not run unit tests on ppc64el (Closes: #976950)
    + Use execute_(before|after)_dh_* targets instead of override_dh_*

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Jan 2021 07:30:56 -0300

xmds2 (3.0.0+dfsg-4) unstable; urgency=medium

  * d/control:
    + Bump debhelper compatibitlity level to 13
    + Depends on libjs-sphinxdoc
  * d/u/metadata: Drop Name and Contact fields
  * Set Forwarded field to not-needed:
    + d/p/decrease-mpirun-slots.patch
    + d/p/deterministic-id.patch
    + d/p/no-generation-timestamps.patch
  * Use the system-installed JavaScript libraries
    + d/control: Build-depends on libjs-{jquery,underscore,sphinxdoc}
    + d/rules: Symlink to the appropriate *.js files

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 12:01:01 -0300

xmds2 (3.0.0+dfsg-3) unstable; urgency=medium

  * d/control:
    + Build-depend and depend on python3-h5py-mpi (Closes: #938925)
    + Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: Add fields Bug-Submit, Repository, and Repository-Browse
  * d/p/is-operator-syntax-warning.patch: New patch
  * d/rules: Unset execute permission of wscript file.
    This complies with FHS 3.0, which specifies that files in /usr/lib
    should not be executable.
  * d/p/wscritp-no-shebang-line.patch: New patch
  * d/p/h5py-value-deprecation.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 30 Mar 2020 05:01:43 -0300

xmds2 (3.0.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 07 Jul 2019 19:19:03 -0300

xmds2 (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version 3.0.0+dfsg

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 May 2019 11:37:25 -0300

xmds2 (2.3.0~rc1+dfsg-2) experimental; urgency=medium

  * d/p/compile-with-python3.patch: New patch (Closes: #929148)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 19 May 2019 08:11:13 -0300

xmds2 (2.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream version 2.3.0~rc1+dfsg
  * d/copyright: Adjust list of files excluded from DFSG tarball
  * Refresh patches for new upstream version:
    + d/p/decrease-mpirun-slots.patch
    + d/p/no-parallel-waf-build.patch
    + d/p/revision-number-as-deb-pkg.patch
  * d/control: Adjust dependencies for Python 3
  * d/rules:
    + Use Python 3
    + Remove __pycache__ directories from binary package
  * d/clean: Remove Waf generated files

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 May 2019 06:37:30 -0300

xmds2 (2.2.3+dfsg-15) unstable; urgency=medium

  * d/p/no-parallel-waf-build.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jan 2019 18:13:40 -0200

xmds2 (2.2.3+dfsg-14) unstable; urgency=medium

  * d/p/deterministic-id.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jan 2019 11:10:50 -0200

xmds2 (2.2.3+dfsg-13) unstable; urgency=medium

  * Avoid unreproducible strings in Cheetah generated files
    + d/fix-cheetah-build-str.py: Set the srcLastModified string to the
      date in d/changelog.  Also, remove the obsolete setting of the
      genTime* variables.
    + d/p/no-generation-timestamps.patch: New patch for adding the
      addTimestampsToCompilerOutput compiler option.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jan 2019 15:47:06 -0200

xmds2 (2.2.3+dfsg-12) unstable; urgency=medium

  * d/control: Bump debhelper compat level to 12
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)
  * d/p/decrease-mpirun-slots.patch: Extend the reduction of number of
    mpirun slots to a large numvber of unit tests.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 10 Jan 2019 12:59:25 -0200

xmds2 (2.2.3+dfsg-11) unstable; urgency=medium

  * d/control:
    + Build-depend on python-scipy
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1 (no changes needed)
  * d/p/decrease-mpirun-slots.patch: New patch
  * d/t/run-tests: Honor DEB_BUILD_OPTIONS=terse

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 02 Sep 2018 05:36:11 -0300

xmds2 (2.2.3+dfsg-10) unstable; urgency=medium

  * d/t/control: Add dependency on fonts-freefont-otf

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 Jun 2018 17:59:37 -0300

xmds2 (2.2.3+dfsg-9) unstable; urgency=medium

  * Build-depend on fonts-freefont-otf.
    Ensure that the plotting commands in unit test lorenz.m (Octave code)
    will work in an auto-build/autopkgtest environment.
  * Use correct version numbers in X-Python-Version header.
    Only versions present from oldstable until unstable are allowed in
    this field.
  * Proper dependencies on python-cheetah.
    The templates on which xmds2 is based need recompilation for each
    major version of the Cheetah engine.  We enforce now a strict
    dependency on the major of Cheetah with which the package is built.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 Jun 2018 05:23:53 -0300
