=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/^xmds-/xmds2-/;s/-rc/~rc/,dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/xmds/xmds-([0-9].+)\.tar\.gz
