## xmds2 3.1.0+dfsg

=== debian/changelog ===
xmds2 (3.1.0+dfsg-3) unstable; urgency=medium

  * Reintroduce unit test involving Octave
  * d/s/lintian-overrides: Add override for
    very-long-line-length-in-source-file warnings

 -- Rafael Laboissière <rafael@debian.org>  Tue, 02 Nov 2021 03:47:20 -0300

xmds2 (3.1.0+dfsg-2) unstable; urgency=medium

  * d/copyright: Update Copyright years
  * d/s/lintian-overrides: Add override for license-problem-gfdl-invariants false positive

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 Oct 2021 02:03:41 -0300

xmds2 (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.0+dfsg
  * d/watch: Add repacksuffix option
  * d/copyright: Drop files removed from new upstream tarball
  * Drop patch (applied upstream)
    + d/p/compile-with-python3.patch
    + d/p/is-operator-syntax-warning.patch
    + d/p/h5py-value-deprecation.patch
    + d/p/non-ambiguous-global-variables.patch
  * d/rules: Drop code for removing __pycache__ directories before
    dh_installdeb

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Oct 2021 12:10:24 -0300

xmds2 (3.0.0+dfsg-6) unstable; urgency=medium

  * d/control:
    + Build-depend on python3:any
    + Bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: Update copyright year for debian/* files
  * d/p/non-ambiguous-global-variables.patch: New patch (Closes: #996279)
  * Temporarily disable the unit test involving Octave.
    The octave package is not installable in unstable right now, due to
    problems in current library transitions. The unit test in
    d/t/run-tests is commented out and the dependencies on octave are
    dropped.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 23 Oct 2021 14:38:24 -0300
