=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                mpi-default-bin,
                mpi-default-dev,
                octave,
-               python3,
+               python3:any,
                python3-cheetah,
                python3-dateutil,
                python3-debian,
@@ -29,7 +29,7 @@
                python3-pyparsing,
                python3-setuptools,
                python3-scipy
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 X-Python-Version: >= 3.7
 Homepage: http://xmds.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/science-team/xmds2.git
