## xmds2 3.1.0+dfsg2

=== Makefile ===
SUBDIRS = xpdeint
PYTHON=python3
export PYTHON

.PHONY: all update clean check distclean

all:
	@for i in $(SUBDIRS); do \
	(cd $$i; $(MAKE) $(MFLAGS) all); done

update:
	@svn up
	@$(MAKE) $(MFLAGS) all

# remove all compiled files
clean:
	@for i in $(SUBDIRS); do \
	(cd $$i; $(MAKE) $(MFLAGS) clean); done

# check examples compile
check:
	@for i in $(SUBDIRS); do \
	(cd $$i; $(MAKE) $(MFLAGS) check); done

distclean:
	@for i in $(SUBDIRS); do \
	(cd $$i; $(MAKE) $(MFLAGS) distclean); done
