=== xpdeint/support/Makefile ===

all: xpdeint.rng

xpdeint.rng: xpdeint.rnc
	java -jar trang.jar xpdeint.rnc xpdeint.rng


clean:
	@rm xpdeint.rng

.PHONY: all clean
