=== xpdeint/support/wscript ===
--- 
+++ 
@@ -249,38 +249,30 @@
             # of OSX (difficult to tell how old because Apple doesn't version their clang the same way as
             # upstream clang, sigh.
             # This issue only exists for clang, so if the user is using gcc everything is fine.
-
-            # Further edit: This almost works, but not quite. It fails one test in the test suite: openmp/eigenvalues.xmds
-            # This script hangs forever at 100% cpu on all cores and does not finish. If I remove the <openmp \> from the script it
-            # works fine. The generated C code looks fine and is identical to the code generated on a linux 
-            # system where it works fine. The fail occurs in the nonlocal addressing line of the script, i.e.
-            #   dmatrix_dt += _h_matrix_q...
-            # If this line is commented out, everything if good. Possibly a Clang bug?
-            # Until I figure out what the issue is, I'm backing out the change. If we want to enable OpenMP on
-            # Mac again, just uncomment out the code below
  
-            #if sys.platform == 'darwin' and conf.env['CXX_NAME'] == 'clang':
-            #    check_cxx(
-            #        cxxflags=['-Xpreprocessor', '-fopenmp'],
-            #        linkflags=['-Xpreprocessor', '-fopenmp', '-lomp'],
-            #        uselib_store='openmp',
-            #        msg = "Checking for OpenMP"
-            #    )
-            #else:
-            # Not using clang on MacOs, so just set up OpenMP in a normal sane fashion
-            #    check_cxx(
-            #        cxxflags='-fopenmp',
-            #        linkflags="-fopenmp",
-            #        uselib_store='openmp',
-            #        msg = "Checking for OpenMP"
-            #    )
-
-            check_cxx(
-                cxxflags='-fopenmp',
-                linkflags="-fopenmp",
-                uselib_store='openmp',
-                msg = "Checking for OpenMP"
-            )
+            if sys.platform == 'darwin' and conf.env['CXX_NAME'] == 'clang':
+                check_cxx(
+                    cxxflags=['-Xpreprocessor', '-fopenmp'],
+                    linkflags=['-Xpreprocessor', '-fopenmp', '-lomp'],
+                    uselib_store='openmp',
+                    msg = "Checking for OpenMP"
+                )
+            else:
+                # Not using clang on MacOs, so just set up OpenMP in a normal sane fashion
+                check_cxx(
+                    cxxflags='-fopenmp',
+                    linkflags="-fopenmp",
+                    uselib_store='openmp',
+                    msg = "Checking for OpenMP"
+                )
+
+            # This code is now superceded by the lines above
+            #check_cxx(
+            #    cxxflags='-fopenmp',
+            #    linkflags="-fopenmp",
+            #    uselib_store='openmp',
+            #    msg = "Checking for OpenMP"
+            #)
             
             check_cxx(
                 cxxflags="-pthread",
@@ -302,3 +294,25 @@
                 },
                 {
                     "msg": "Checking safe optimisation flags",
+                    "cxxflags": "-O3",
+                    "linkflags": "-O3"
+                }
+            ]
+            
+            try_options('optimise', compiler_optimisations)
+            
+            machine_optimisations = [
+                {
+                    "msg": "Trying to optimise for SSE4",
+                    "cxxflags": "-xS",
+                },
+                {
+                    "msg": "Trying to optimise for SSSE3",
+                    "cxxflags": "-xT",
+                },
+                {
+                    "msg": "Trying to optimise for SSE3",
+                    "cxxflags": "-xP",
+                },
+                {
+                    "msg": "Trying to optimise for SSE2",
