=== debian/changelog ===
xmds2 (3.1.0+dfsg2-11) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop build-dependency on texlive-latex-base. This package is
      installed anyway because it is a dependency of latexmk.
    + Replace texlive-latex-recommended by texlive-latex-extra in
      Build-Depends
    + Mark the build-dependencies that are necessary only for building the
      documentation with the profile <!nodoc>
    + Mark the build-dependencies that are necessary only for running the
      test suite with the profile <!nocheck>
    + Promote enhancement packages from Suggests to Recommends
    + Promote libhdf5-mpi-dev and python3-h5py-mpi from Recommends to
      Depends
    + Demote python3-numpy and python3-lxml from Depends to Recommends
  * d/watch: Convert to format version 5
  * d/p/replace-deprecated-distutils.patch: New patch
  * d/s/lintian-overrides: Add overrides for the Lintian warning
    uses-deprecated-python-stdlib

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Sep 2025 10:19:18 -0300

xmds2 (3.1.0+dfsg2-10) unstable; urgency=medium

  * Team upload.
  * debian/tests/run-tests: Allow oversubscription and set the SSH agent
    using the new environment variables for OpenMPI 5.

 -- Santiago Vila <sanvila@debian.org>  Mon, 04 Nov 2024 20:10:00 +0100

xmds2 (3.1.0+dfsg2-9) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Use importlib.resources instead of pkg_resources (closes: #1083992)
    + d/control: Drop dependency on python3-pkg-resources
    + d/p/use-importlib-resources-module.patch: New patch
  * Add Applied-Upstream fields to the following patches:
    + d/p/do-not-use-imp-module.patch
    + d/p/extra-alignment-tab.patch
    + d/p/numpy-asscalar.patch
    + d/p/pygments-style-lexer.patch
  * d/p/drop-useless-imports.patch: New patch.
    This avoids the import of the deprecated module pipes. (Closes: #1084592)
  * d/p/invalid-escape-sequences.patch: New patch
  * d/rules: Improve message for chmod wscript

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Oct 2024 10:23:40 -0300

xmds2 (3.1.0+dfsg2-8) unstable; urgency=medium

  * d/s/options: Do not exclude files under xpdeint/waf/
  * d/p/do-not-use-imp-module.patch: New patch (Closes: #1061766)
  * d/control: Drop unnecessary build-dependencies on
    libjs-{jquery,sphinxdoc,jquery}
  * Use dh_sphinxdoc instead of manually creating symlinks for *.js
    files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Jan 2024 11:29:12 -0300

xmds2 (3.1.0+dfsg2-7) unstable; urgency=medium

  * Simplify dependencies on hdf5 and h5py, related to MPI
    + d/p/h5py-always-use-mpi.patch: Drop patch
    + d/control:
      - Drop (build-)dependencies on both libhdf5-mpi-dev and
        python3-h5py-mpi.
      - Add versioned (build-)dependency (>= 3.9.0-4) on python3-h5py. This
        version of h5py contains a fallback mechanisms in both cases, when
        either python3-h5py-serial or python3-h5py-mpi are absent from the
        system.
      - Suggests libhdf5-mpi-dev and python3-h5py-mpi

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Oct 2023 12:56:19 -0300

xmds2 (3.1.0+dfsg2-6) unstable; urgency=medium

  * d/control: Depend and Build-Depend on both libhdf5-dev and libhdf5-mpi-dev

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Oct 2023 07:40:04 -0300

xmds2 (3.1.0+dfsg2-5) unstable; urgency=medium

  * Fix dependencies on h5py
    + d/control:
      - Build-depend on python3-h5py
      - Depend on libhdf5-mpi-dev
    + d/p/h5py-always-use-mpi.patch: New patch
    Thanks to Drew Parsons for the suggestions and Nilesh Patra for the
    discussion. (Closes: #1053314)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 Oct 2023 14:24:24 -0300

xmds2 (3.1.0+dfsg2-4) unstable; urgency=medium

  * d/p/deterministic-id.patch: Fix typo in Forwarded field
  * Use OpenBLAS or BLIS instead of ATLAS
    + d/control: Depend and build-depend on libopenblas-dev |
      libblis-dev instead of libatlas-base-dev
    + d/p/vanilla-cblas.patch: New patch
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/fix-cheetah-build-str.py:
    + Apply standard code conventions
    + Use `with` for resource-allocating operation
    + Specify UTF-8 encoding when opening files
    + Use f-strings instead of % operator
  * d/copyright: Update copyright year of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 17 Jul 2023 19:11:41 -0300

xmds2 (3.1.0+dfsg2-3) unstable; urgency=medium

  * d/p/numpy-asscalar.patch: New patch (Closes: #1026350)
  * d/clean: Remove _pygments/__pycache__ directory

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 14:19:54 -0300

xmds2 (3.1.0+dfsg2-2) unstable; urgency=medium

  * Automate the generation of the orig-userdoc upstream tarball

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:03:46 -0300

xmds2 (3.1.0+dfsg2-1) unstable; urgency=medium

  * New repackaged upstream version 3.1.0+dfsg2
  * d/control:
    + Update X-Python3-Version field
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Make package xmds2-doc Multi-Arch: foreign
  * d/s/lintian-overrides: Update overrides for new version of Lintian
  * d/copyright:
    + Exclude documentation directory from tarball and update
      Copyright notices for userdoc directory
    + Update Copyright years for debian/* files
    + Drop unused entries for JavaScript libraries
  * d/p/pygments-style-lexer.patch: New patch
  * d/p/extra-alignment-tab.patch: New patch
  * d/rules:
    + Build user documentation from source
    + Create symlink for file language_data.js
    + Do not compress file xmds_favicon.ico
  * d/control: Build-depend on packages needed for building the documentation
  * d/README.source: New scheme for building the documentation
  * d/s/lintian-overrides: Drop unused override for prebuiltsphinx doc

