=== debian/control ===
Source: xmds2
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-freefont-otf,
               gnuplot-nox <!nocheck>,
               latexmk <!nodoc>,
               libfftw3-dev <!nocheck>,
               libfftw3-mpi-dev <!nocheck>,
               libgsl-dev <!nocheck>,
               libhdf5-dev <!nocheck>,
               libopenblas-dev | libblis-dev <!nocheck>,
               mpi-default-bin <!nocheck>,
               mpi-default-dev <!nocheck>,
               octave <!nocheck>,
               python3:any,
               python3-cheetah,
               python3-dateutil,
               python3-debian,
               python3-h5py (>= 3.9.0-4) <!nocheck>,
               python3-lxml <!nocheck>,
               python3-mpmath <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pyparsing <!nocheck>,
               python3-setuptools,
               python3-scipy <!nocheck>,
               python3-sphinx <!nodoc>,
               tex-gyre <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.7.2
X-Python3-Version: >= 3.7
Homepage: http://xmds.sourceforge.net/
Vcs-Git: https://salsa.debian.org/science-team/xmds2.git
Vcs-Browser: https://salsa.debian.org/science-team/xmds2

Package: xmds2
Architecture: all
Depends: ${python3:Depends},
         ${Cheetah-Depends},
         ${misc:Depends},
         g++,
         libfftw3-dev,
         libfftw3-mpi-dev,
         libgsl-dev,
         libhdf5-dev,
         libhdf5-mpi-dev,
         libopenblas-dev | libblis-dev,
         mpi-default-bin,
         mpi-default-dev,
         python3-h5py (>= 3.9.0-4),
         python3-h5py-mpi
Recommends: python3-lxml,
            python3-mpmath,
            python3-numpy,
            python3-scipy
Description: eXtensible Multi-Dimensional Simulator
 XMDS is a code generator that integrates equations, from Ordinary
 Differential Equations (ODEs) up to stochastic Partial Differential
 Equations (PDEs). You write them down in human readable form in an
 XML file, and it goes away and writes and compiles a C++ program that
 integrates those equations as fast as it can possibly be done in your
 architecture.
 .
 XMDS 2 is a major upgrade rewritten in Python which is faster and far
 more versatile than previous versions, allowing the efficient integration
 of almost any initial value problem on regular domains.

Package: xmds2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for the eXtensible Multi-Dimensional Simulator
 XMDS is a code generator that integrates equations, from Ordinary
 Differential Equations (ODEs) up to stochastic Partial Differential
 Equations (PDEs). You write them down in human readable form in an
 XML file, and it goes away and writes and compiles a C++ program that
 integrates those equations as fast as it can possibly be done in your
 architecture.
 .
 XMDS 2 is a major upgrade rewritten in Python which is faster and far
 more versatile than previous versions, allowing the efficient integration
 of almost any initial value problem on regular domains.
 .
 This package contains the documentation in HTML and PDF formats.
