=== debian/tests/control ===
Tests: run-tests
Depends: xmds2, octave, gnuplot-nox, fonts-freefont-otf
Restrictions: allow-stderr
