=== debian/watch ===
Version: 5

Source: http://sf.net/xmds/
Matching-Pattern: xmds-([0-9].+)\.tar\.gz
Compression: xz
Dversionmangle: s/[~+]dfsg[0-9]*//
Repacksuffix: +dfsg
Uversionmangle: s/^xmds-/xmds2-/;s/-rc/~rc/
